Subject: bug#72863: 30.0.50; tree-sitter elixir-ts-mode hangs and memory leak on some elixir and heex code

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Sep 2024 10:02:55 +0300

> From: Yuan Fu <[email-masked]>
> Date: Sat, 7 Sep 2024 22:57:29 -0700
> Cc: [email-masked],
>  [email-masked],
>  [email-masked]
> 
> 
> 
> > On Sep 7, 2024, at 10:54 PM, Eli Zaretskii <[email-masked]> wrote:
> > 
> >> From: Yuan Fu <[email-masked]>
> >> Date: Sat, 7 Sep 2024 22:44:53 -0700
> >> Cc: Wilhelm Kirschbaum <[email-masked]>,
> >> Eli Zaretskii <[email-masked]>,
> >> [email-masked]
> >> 
> >> Meanwhile, I want to push the fix for the other bug I discovered to emacs-30. Eli, I wrote a debugging function that prints parser states, naturally this function isn’t called anywhere so there’ll be a compiler warning, what should I do in this case?
> > 
> > Why would there be a compiler warning?  What kind of warning?
> 
> A function-not-used warning. Maybe it’s an lldb thing?

If the function is not static, there should be no such warning.